## com.google.appengine.api.search
Class OperationResult

    java.lang.Object
      com.google.appengine.api.search.OperationResult

All Implemented Interfaces:
  java.io.Serializable

    public class OperationResult

extends java.lang.Object
implements java.io.Serializable

The result of an operation involving the search service.

See Also:
  Serialized Form

Constructor Summary
`OperationResult(ErrorCode code, java.lang.String errorDetail)`
`OperationResult(SearchServicePb.RequestStatus status)`

Method Summary
`boolean` `equals(java.lang.Object object)`
`StatusCode` `getCode()`
`java.lang.String` `getMessage()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OperationResult

    public OperationResult(SearchServicePb.RequestStatus status)

### OperationResult

    public OperationResult(ErrorCode code,
                           java.lang.String errorDetail)

Parameters:
  `code` - the status code of the request extracted from proto buffers
  `errorDetail` - detailed error message or `null`

Method Detail

### getCode

    public StatusCode getCode()

  Returns:
    the status code

### getMessage

    public java.lang.String getMessage()

  Returns:
    the detailed message or `null`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    `equals` in class `java.lang.Object`